//      []-------------------------------------------------------[]
//      |                        Nume program : EULER1            |
//      |  - Rezolva ecuatia : dy/dt = -y prin metodele Euler     |
//      | implicita,explicita,pentru pasi de integrare definiti   |
//      | de utilizator;                                          |
//      | - Pentru metoda implicita se introduce si eroarea       |
//      | de aproximatie admisa;                                  |
//      | - Intervalul de integrare este [0,4];                   |
//      | - Conditia initiala este y(0) = 5;                      |
//      | - Se afiseaza pentru cele 2 metode erorile pentru       |
//      | primul pas si erorile globale;                          |
//      | - Pentru metoda implicita se afiseaza si numarul de     |
//      | iteratii efectuate pentru atingerea preciziei impuse    |
//      []-------------------------------------------------------[]

exec('functii/euler0.sci');
exec('functii/euler1.sci');
[a,b,y0,h,tmax,err,nimpl,iter,ITMAX] = inputl18b();
[Ee,Ei,timp] = solve2(a,b,y0,h,tmax,iter,nimpl,err,ITMAX);
// afisare grafice
xname('Metoda Euler pentru rezolvarea ecuatiei dy/dt = -y , y(0) = 1');
xtitle('Metoda Euler pentru rezolvarea ecuatiei dy/dt = -y, y(0) = 1','t','y');
plot2d([timp], [Ei Ee], [5 2 ], "121", 'Euler implicit@Euler explicit');
xgrid();
N = 30;
tt = linspace(0,tmax,N);
yanalitic = zeros(1,N);
for i = 1:N
	yanalitic(i) =  funcan (tt(i),a,b,y0);
end
plot2d(tt,yanalitic,-1,"000");

wait2close();
exec('mainL10.sci');
