//		[]----------------------------------------[]
//		|	 Nume program : EULER0             |  
//		| - Rezolva ecuatii diferentiale ordinare  |
//		| prin metodele Euler implicita,explicita; |
//		| - Traseaza graficul functiei;            |
//		| - Afiseaza solutiile exacte,aproximative |
//		|   si eroarea pe pas.                     |
//		[]----------------------------------------[]  

exec('functii/euler0.sci');
[a,b,y0,h,tmax] = inputl18a();
[timp,ye,yi] = solve0(a,b,y0,h,tmax);
printf("\n =============================================");
printf("\n Metoda Euler pentru dy/dt = ay+b, y = y0 unde");
printf("\n a = %e, b = %e, y0 = %e",a,b,y0);
printf("\n pas de integrare h = %e",h);
printf("\n timp de simulare tmax = %e \n \n ", tmax);

[ya] = display(timp,ye,yi,a,b,y0);

// afisare grafice
xname('Metoda Euler pentru rezolvarea ecuatiei dy/dt = ay + b, y = y0');
xtitle('Metoda Euler pentru rezolvarea ecuatiei dy/dt = ay + b, y = y0','t','y');
plot2d([timp], [yi ye ya], [5 2 -3], "121", 'Euler implicit@Euler explicit@solutie analitica');
xgrid();

N = 100;
tt = linspace(0,tmax,N);
for i = 1:N
	yanalitic(i) =  funcan (tt(i),a,b,y0);
end
plot2d(tt',yanalitic,3,"000");

wait2close();
exec('mainL10.sci');
