//        []-------------------------------------------------------[]
//        |                        Nume program : EULER2            |
//        | - Rezolva prin metodele Euler implicita,explicita,      |
//        | ecuatia:dy/dt = -y+[h(t)-h(t-t0)]*A*exp(b*t)*cos(w*t+é) |
//        | - Intervalul de integrare este [0,tmax] s;              |
//        | - Pasul de integrare : h=tmax/100;                      |
//        | - Conditia initiala : y0 = fabs(a)/sqrt(1+w*w)*cos(é);  |
//        | - Reprezinta grafic solutiile obtinute prin cele doua   |
//        | metode.
//        |
//        []-------------------------------------------------------[] 

exec('functii/euler2.sci');
[a,y0,h,tmax,t0,A,B,w,phi,err,ITMAX] = inputl18c();

[Ee,Ei,timp] = solve3(a,y0,h,tmax,t0,A,B,w,phi,err,ITMAX);
// afisare grafice
xname('Metoda Euler pentru rezolvarea ecuatiei dy/dt = -y + f(t) , y(0) = 1');
xtitle('Metoda Euler pentru rezolvarea ecuatiei dy/dt = -y + f(t), y(0) = 1','t','y');

excitatie = zeros(1,length(timp));
for i = 1:length(timp)
	excitatie(i) =  func (timp(i),t0,A,B,w,phi);
end

plot2d([timp], [Ei Ee excitatie'], [5 2 6], "121", 'Euler implicit@Euler explicit@excitatie');
xgrid();
wait2close();
exec('mainL10.sci');
